/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ChartFillBase } from "./ChartFillBase";
import { markType } from "igniteui-webcomponents-core";
/**
 * Represents a pattern color fill for a chart element.
 */
export let ChartPatternFill = /*@__PURE__*/ (() => {
    class ChartPatternFill extends ChartFillBase {
        constructor(backgroundColor, foregroundColor, pattern) {
            super(null);
            this._y = null;
            this._z = null;
            this._w = 0;
            this._y = backgroundColor;
            this._z = foregroundColor;
            this._w = pattern;
        }
        /**
         * Returns the color which is applied to the background of the fill.
         */
        get backgroundColor() {
            return this._y;
        }
        /**
         * Returns the color which is applied to the foreground of the fill.
         */
        get foregroundColor() {
            return this._z;
        }
        /**
         * Returns the pattern style of the fill.
         */
        get pattern() {
            return this._w;
        }
    }
    ChartPatternFill.$t = /*@__PURE__*/ markType(ChartPatternFill, 'ChartPatternFill', ChartFillBase.$);
    return ChartPatternFill;
})();
