/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ChartFillBase } from "./ChartFillBase";
import { markType } from "igniteui-webcomponents-core";
/**
 * Represents a pattern color fill for a chart element.
 */
var ChartPatternFill = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ChartPatternFill, _super);
    function ChartPatternFill(backgroundColor, foregroundColor, pattern) {
        var _this = _super.call(this, null) || this;
        _this._y = null;
        _this._z = null;
        _this._w = 0;
        _this._y = backgroundColor;
        _this._z = foregroundColor;
        _this._w = pattern;
        return _this;
    }
    Object.defineProperty(ChartPatternFill.prototype, "backgroundColor", {
        /**
         * Returns the color which is applied to the background of the fill.
         */
        get: function () {
            return this._y;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ChartPatternFill.prototype, "foregroundColor", {
        /**
         * Returns the color which is applied to the foreground of the fill.
         */
        get: function () {
            return this._z;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ChartPatternFill.prototype, "pattern", {
        /**
         * Returns the pattern style of the fill.
         */
        get: function () {
            return this._w;
        },
        enumerable: false,
        configurable: true
    });
    ChartPatternFill.$t = markType(ChartPatternFill, 'ChartPatternFill', ChartFillBase.$);
    return ChartPatternFill;
}(ChartFillBase));
export { ChartPatternFill };
