import { ChartFillBase } from "./ChartFillBase";
import { WorkbookColorInfo } from "./WorkbookColorInfo";
import { PatternType } from "./PatternType";
import { Type } from "igniteui-webcomponents-core";
/**
 * Represents a pattern color fill for a chart element.
 */
export declare class ChartPatternFill extends ChartFillBase {
    static $t: Type;
    private _y;
    private _z;
    private _w;
    constructor(backgroundColor: WorkbookColorInfo, foregroundColor: WorkbookColorInfo, pattern: PatternType);
    /**
     * Returns the color which is applied to the background of the fill.
     */
    get backgroundColor(): WorkbookColorInfo;
    /**
     * Returns the color which is applied to the foreground of the fill.
     */
    get foregroundColor(): WorkbookColorInfo;
    /**
     * Returns the pattern style of the fill.
     */
    get pattern(): PatternType;
}
