import { Type } from "igniteui-webcomponents-core";
/**
 * Constants which define the type of fill pattern applied to a shape.
 */
export declare enum PatternType {
    /**
     * 10% of the foreground color.
     */
    Pattern10Percent = 2,
    /**
     * 20% of the foreground color.
     */
    Pattern20Percent = 3,
    /**
     * 25% of the foreground color.
     */
    Pattern25Percent = 4,
    /**
     * 30% of the foreground color.
     */
    Pattern30Percent = 5,
    /**
     * 40% of the foreground color.
     */
    Pattern40Percent = 6,
    /**
     * 50% of the foreground color.
     */
    Pattern50Percent = 7,
    /**
     * 5% of the foreground color.
     */
    Pattern5Percent = 1,
    /**
     * 60% of the foreground color.
     */
    Pattern60Percent = 8,
    /**
     * 70% of the foreground color.
     */
    Pattern70Percent = 9,
    /**
     * 75% of the foreground color.
     */
    Pattern75Percent = 10,
    /**
     * 80% of the foreground color.
     */
    Pattern80Percent = 11,
    /**
     * 90% of the foreground color.
     */
    Pattern90Percent = 12,
    /**
     * Cross
     */
    PatternCross = 51,
    /**
     * Dark Downward Diagonal
     */
    PatternDarkDownwardDiagonal = 15,
    /**
     * Dark Horizontal
     */
    PatternDarkHorizontal = 13,
    /**
     * Dark Upward Diagonal
     */
    PatternDarkUpwardDiagonal = 16,
    /**
     * Dark Vertical
     */
    PatternDarkVertical = 14,
    /**
     * Dashed Downward Diagonal
     */
    PatternDashedDownwardDiagonal = 28,
    /**
     * Dashed Horizontal
     */
    PatternDashedHorizontal = 32,
    /**
     * Dashed Upward Diagonal
     */
    PatternDashedUpwardDiagonal = 27,
    /**
     * Dashed Vertical
     */
    PatternDashedVertical = 31,
    /**
     * Diagonal Brick
     */
    PatternDiagonalBrick = 40,
    /**
     * Diagonal Cross
     */
    PatternDiagonalCross = 54,
    /**
     * Pattern Divot
     */
    PatternDivot = 46,
    /**
     * Dotted Diamond
     */
    PatternDottedDiamond = 24,
    /**
     * Dotted Grid
     */
    PatternDottedGrid = 45,
    /**
     * Downward Diagonal
     */
    PatternDownwardDiagonal = 52,
    /**
     * Horizontal
     */
    PatternHorizontal = 49,
    /**
     * Horizontal Brick
     */
    PatternHorizontalBrick = 35,
    /**
     * Large Checker Board
     */
    PatternLargeCheckerBoard = 36,
    /**
     * Large Confetti
     */
    PatternLargeConfetti = 33,
    /**
     * Large Grid
     */
    PatternLargeGrid = 34,
    /**
     * Light Downward Diagonal
     */
    PatternLightDownwardDiagonal = 21,
    /**
     * Light Horizontal
     */
    PatternLightHorizontal = 19,
    /**
     * Light Upward Diagonal
     */
    PatternLightUpwardDiagonal = 22,
    /**
     * Light Vertical
     */
    PatternLightVertical = 20,
    /**
     * Mixed pattern
     */
    PatternMixed = -2,
    /**
     * Narrow Horizontal
     */
    PatternNarrowHorizontal = 30,
    /**
     * Narrow Vertical
     */
    PatternNarrowVertical = 29,
    /**
     * Outlined Diamond
     */
    PatternOutlinedDiamond = 41,
    /**
     * Plaid
     */
    PatternPlaid = 42,
    /**
     * Shingle
     */
    PatternShingle = 47,
    /**
     * Small Checker Board
     */
    PatternSmallCheckerBoard = 17,
    /**
     * Small Confetti
     */
    PatternSmallConfetti = 37,
    /**
     * Small Grid
     */
    PatternSmallGrid = 23,
    /**
     * Solid Diamond
     */
    PatternSolidDiamond = 39,
    /**
     * Sphere
     */
    PatternSphere = 43,
    /**
     * Trellis
     */
    PatternTrellis = 18,
    /**
     * Upward Diagonal
     */
    PatternUpwardDiagonal = 53,
    /**
     * Vertical
     */
    PatternVertical = 50,
    /**
     * Wave
     */
    PatternWave = 48,
    /**
     * Weave
     */
    PatternWeave = 44,
    /**
     * Wide Downward Diagonal
     */
    PatternWideDownwardDiagonal = 25,
    /**
     * Wide Upward Diagonal
     */
    PatternWideUpwardDiagonal = 26,
    /**
     * Zig Zag
     */
    PatternZigZag = 38
}
/**
 * @hidden
 */
export declare let PatternType_$type: Type;
